Skip to content
Navigation
PATCH/tags/{tagId}

Update a tag

Update an existing tag

Parameters

NameInTypeDescription
tagIdrequiredpathstringPostTag ID

Request body

FieldTypeDescription
namestring
colorstringHex color code
isPublicbooleanWhether customers can see this tag on the public portal. False keeps the tag internal to your team.

Response

PostTag updated

FieldTypeDescription
idrequiredstringTypeID - a type-prefixed UUID
namerequiredstring
colorrequiredstringHex color code
isPublicrequiredbooleanWhether customers can see this tag on the public portal. False keeps the tag internal to your team.
createdAtrequiredstringISO 8601 timestamp

Errors

400Validation error
401Unauthorized
404PostTag not found

Example request

curl \
  -X PATCH \
  "https://feedback.quackback.io/api/v1/tags/:tagId" \
  -H "Authorization: Bearer qb_your_api_key_here" \
  -H "Content-Type: application/json" \
  -d '{
  "name": "example_name",
  "color": "#3b82f6",
  "isPublic": true
}'